Subject: Re: Multiple projects with gitweb

From: Jakub Narebski <[email-masked]>
Date: Wed, 13 Jul 2011 09:20:51 -0700 (PDT)

Drew Northup <[email-masked]> writes:

[...]
> The /etc/gitweb.conf file is not meant to provide for that
> customization. The way that gitweb is currently constructed, if you use
> a local configuration file for an instance it will completely ignore the
> system-wide configuration file (I didn't make that decision, as it
> doesn't make much sense to me either), so you will have to make sure
> that ALL settings required are set in each instance-local configuration.

There were some patches sent to alleviate it (with read_config_file
that one can use in per-instance config file) and fix it (with
introduction of common configuration file /etc/gitweb-common.conf),
but I don't know what happened to it.

> I plan on re-submitting my touch-ups to that documentation now that a
> have a minor window of sanity here at work (not that I expect that to
> last).

That would be very nice.

-- 
Jakub Narębski